# Constant Field Values

## Contents

- org.italiangrid.*

## org.italiangrid.*

org.italiangrid.voms.ac.impl.DefaultVOMSValidator
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TRUST_ANCHORS_DIR`
`"/etc/grid-security/certificates"`
org.italiangrid.voms.ac.impl.VOMSAttributesImpl
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_CLOCK_SKEW_IN_MINUTES`
`5`

org.italiangrid.voms.asn1.VOMSACUtils
Modifier and Type
Constant Field
Value
`public static final String`
`POLICY_AUTHORITY_SEP`
`"://"`

org.italiangrid.voms.credential.VOMSEnvironmentVariables
Modifier and Type
Constant Field
Value
`public static final String`
`PKCS12_USER_CERT`
`"PKCS12_USER_CERT"`
`public static final String`
`VOMS_USER_ID`
`"VOMS_UID"`
`public static final String`
`X509_CERT_DIR`
`"X509_CERT_DIR"`
`public static final String`
`X509_USER_CERT`
`"X509_USER_CERT"`
`public static final String`
`X509_USER_KEY`
`"X509_USER_KEY"`
`public static final String`
`X509_USER_PROXY`
`"X509_USER_PROXY"`
`public static final String`
`X509_VOMS_DIR`
`"X509_VOMS_DIR"`

org.italiangrid.voms.credential.impl.DefaultLoadCredentialsStrategy
Modifier and Type
Constant Field
Value
`public static final String`
`HOME_PROPERTY`
`"user.home"`
`public static final String`
`TMPDIR_PATH`
`"/tmp"`
`public static final String`
`TMPDIR_PROPERTY`
`"java.io.tmpdir"`

org.italiangrid.voms.request.impl.AbstractVOMSProtocol
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_CONNECT_TIMEOUT`
`5000`
`public static final int`
`DEFAULT_READ_TIMEOUT`
`5000`
`public static final boolean`
`DEFAULT_SKIP_HOSTNAME_CHECKS`
`false`
org.italiangrid.voms.request.impl.DefaultVOMSESLookupStrategy
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_VOMSES_DIR`
`"/etc/vomses"`

org.italiangrid.voms.store.impl.DefaultLSCFileParser
Modifier and Type
Constant Field
Value
`public static final String`
`MALFORMED_LSC_FILE_ERROR_TEMPLATE`
`"LSC file parsing error: Malformed LSC file (vo=%s, host=%s): %s"`
org.italiangrid.voms.store.impl.DefaultVOMSTrustStore
Modifier and Type
Constant Field
Value
`public static final String`
`CERTIFICATE_FILENAME_SUFFIX`
`".pem"`
`public static final String`
`DEFAULT_VOMS_DIR`
`"/etc/grid-security/vomsdir"`
`public static final String`
`LSC_FILENAME_SUFFIX`
`".lsc"`

org.italiangrid.voms.util.CertificateValidatorBuilder
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TRUST_ANCHORS_DIR`
`"/etc/grid-security/certificates"`
`public static final long`
`DEFAULT_TRUST_ANCHORS_UPDATE_INTERVAL`
`0L`
org.italiangrid.voms.util.FilePermissionHelper
Modifier and Type
Constant Field
Value
`public static final String`
`CHMOD_CMD_TEMPLATE`
`"chmod %s %s"`
`public static final String`
`LS_CMD_TEMPLATE`
`"ls -al %s"`
org.italiangrid.voms.util.FingerprintHelper
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_DIGEST_ALGORITHM`
`"SHA-1"`
org.italiangrid.voms.util.VOMSFQANNamingScheme
Modifier and Type
Constant Field
Value
`public static final String`
`capabilitySyntax`
`"^Capability=[\\w\\s.-]+$"`
`public static final String`
`fqanSyntax`
`"^(/[\\w.-]+)+|((/[\\w.-]+)+/)?(Role=[\\w.-]+)|(Capability=[\\w\\s.-]+)$"`
`public static final String`
`groupSyntax`
`"^(/[\\w.-]+)+$"`
`public static final String`
`qualifiedRoleSyntax`
`"^(/[\\w.-]+)+/Role=[\\w.-]+$"`
`public static final String`
`roleSyntax`
`"^Role=[\\w.-]+$"`